UI upgrade and Rails 3

A while ago we announced some UI upgrades we are working on, and people have been asking when these changes will land in master. The short answer is that it will be a little while still. Read on for the longer answer.

If you’ve been following along, I’m sure you have seen our new repository browser. Dolt (a stand-alone tool to browse source code, view Readme files and more) is more or less done.

During the past couple of weeks I have made a couple of attempts at integrating Dolt back into Gitorious. Unfortunately these attempts have not yet been as successful as I’d hoped: there have been yaks to shave along the way.

Gitorious is currently based on a fairly old version of Rails. Working with old software imposes some constraints on what version of various third-party libraries can be used, which again causes trouble when trying to also use newer software (Dolt uses EventMachine and related libraries). In an attempt to resolve some issues related to this, I finally got my hands dirty and upgraded our Rails version from 2.3.5 to 2.3.14 last week.

This week, we decided to go one further and complete the long pending upgrade to Rails 3. I’m happy to report that this process is coming along nicely enough that we’re confident we’ll complete the upgrade next week. In doing this, we gain access to newer features in Rails that will help us in several ways. Most importantly, we will be able to integrate the source code browser properly.

We know that many of you are waiting for the new UI, and apologize for the delay. I wanted to post this update to let you know that we’re working on it, even if we have taken a detour to get there. When it all lands, we can all look forward to a more usable, prettier, safer and faster Gitorious.

Have a nice weekend!

8 Comments

  1. ktdreyer
    Posted October 26, 2012 at 3:42 pm | Permalink

    I am really happy to hear about the Rails 3 transition! That will make packaging in Fedora much easier :)

  2. robinst
    Posted October 26, 2012 at 6:52 pm | Permalink

    Nice to hear. Why you’re at it, how about upgrading to Ruby 1.9?

  3. Christian Johansen
    Posted October 26, 2012 at 7:31 pm | Permalink

    @robinst: I’m doing Rails 3/Ruby 1.9 in one go :) Depending on how that works out, we may decide not to go to lengths to keep 1.8 support (if that poses additional overhead).

    • robinst
      Posted October 26, 2012 at 7:42 pm | Permalink

      Even nicer to hear :). +1 for dropping 1.8 support if necessary.

      • ktdreyer
        Posted October 26, 2012 at 8:19 pm | Permalink

        @robinst: Hopefully they will not drop it completely until RHEL 7 comes out ;)

        There are people who are already running Gitorious on Ruby 1.9, and the codebase has several areas where Ruby 1.9 support has been patched in. I imagine 1.8 (well, RHEL 6′s 1.8.7) could be supported for a while.

  4. 16aR
    Posted October 29, 2012 at 10:38 am | Permalink

    Great news. New UI, new Rails, new Ruby.
    Just great news :)

  5. Marius Mathiesen
    Posted October 29, 2012 at 10:54 am | Permalink

    Re. 1.9 support: we will probably keep the 1.8 support until Rails 4 is implemented.

  6. Jitu
    Posted December 10, 2012 at 9:23 am | Permalink

    Best blog for Rails app migration
    http://ror-developerchoice.blogspot.com/2012/12/rails23-app-to-rails32-migration.html


Follow

Get every new post delivered to your Inbox.

Join 811 other followers

%d bloggers like this: